Subject: bug#58571: translations are incompletely pulled from weblate

From: Julien Lepiller <[email-masked]>
Date: Mon, 17 Oct 2022 23:57:39 +0200

One thing I suspect is that weblate takes quite a lot of time to pull changes from the intermediate repository, so if you provide a translation while the repo is being synced, I think they might be reset when the file is finally loaded by weblate.

Not sure if this could explain this many ignored translations though…

For anyone in that situation, the translations are not lost. You can always go back to them and you'll see they are untranslated, but you'll see a red box on the right saying it's already translated. If the text is correct, you can click "fix string" to apply the translation.

Le 17 octobre 2022 19:12:24 GMT+02:00, "pelzflorian (Florian Pelz)" <[email-masked]> a écrit :
>two--- via Bug reports for GNU Guix <[email-masked]> writes:
>> hi
>> in https://git.savannah.gnu.org/cgit/guix.git/tree/po/guix/uk.po i see
>> kyrylo's translations are pulled there from weblate, but mine
>> (https://translate.fedoraproject.org/changes/?project=guix&lang=uk&user=two22)
>> are not, these strings stay untranslated or erroneous.
>
>This is strange and I do not yet see what could be the cause.
>
>Weblate is backed not by savannah but by an intermediate repository
>https://framagit.org/tyreunom/guix-translations
>which Julien regularly syncs with Savannah each month.
>
>Perhaps could you try changing a translation on Weblate and see if there
>is a change to <https://framagit.org/tyreunom/guix-translations>?  It
>will sync faster if after you make the change on Weblate, you use
>Weblate’s File download button.
>
>Regards,
>Florian
>
>
>